Bug 12837 - Добавить описание пакета
: Добавить описание пакета
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/perl-Scalar-List-Utils)
: unstable
: all Linux
: P2 minor
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2007-09-19 13:22 by
Modified: 2007-09-24 23:59 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2007-09-19 13:22:39
В качестве описания пакета вижу мало что мне говорящее "None". Неплохо было бы
это описание чуточку расширить :)
------- Comment #1 From 2007-09-20 01:37:17 -------
исправлено в perl-Scalar-List-Utils-1.19-alt1.src.rpm
------- Comment #2 From 2007-09-20 22:49:12 -------
Этот пакет надо удалить из сизифа, а не исправлять у него описание.
Какие-то косметические баги при полной разрухе в головах.  Нет слов.
------- Comment #3 From 2007-09-21 00:44:57 -------
Ну так сообщите почему, и удалим. Я же не знаю, зачем он нужен, или не нужен.
------- Comment #4 From 2007-09-21 02:36:27 -------
Пересечение с perl-base, at@ писал в devel@, я отвечал с Cc: тебе.  В спам
попало?

PS: с праздником!
------- Comment #5 From 2007-09-21 09:42:13 -------
Написал просьбу об удалении пакета.
P.S.
Алексей, ну не заметил я, вот и собрал пакет.
Возможно раньше в perl-base не было perl(Scalar/Util.pm) ?
------- Comment #6 From 2007-09-21 16:35:43 -------
Виталий.  Ваше предположнение легко проверяется.

$ rpm -qp --provides
distro/Master/2.2/ALTLinux/RPMS.main/perl-base-5.8.0-alt1.i586.rpm |fgrep
Util.pm
perl(List/Util.pm)
perl(Scalar/Util.pm)
$

Правда тогда зависимости искались похуже и предоставлялось без версий, а теперь
предоставляется с версиями:

$ rpm -q --provides perl-base |fgrep Util.pm
perl(Hash/Util.pm) = 0.060
perl(List/Util.pm) = 1.190
perl(Scalar/Util.pm) = 1.190
$

Виталий, это та самая версия версия 1.19, которую Вы давеча благоволили заслать
в Сизиф.  Всё это просто глупо.  Вы собираете какие-то пакеты, не имея ни
малейшего представления, что это за пакеты и зачем они вообще нужны.  Но нет
худа без добра: Ваша деятельность в роли неопытного maintainer'а дает
возможность понять, какие гайки придется закручивать, чтобы в будущем не
пускать
такие (и некоторые другие) пакеты в сизиф совершенно автоматически.
------- Comment #7 From 2007-09-22 00:21:36 -------
(In reply to comment #6)
... 
> Виталий, это та самая версия версия 1.19, которую Вы давеча благоволили 
заслать
Просто я собираю только те перловые пакеты, которые
нужны (например для request-tracker).

> в Сизиф.  Всё это просто глупо.  Вы собираете какие-то пакеты, не имея ни
> малейшего представления, что это за пакеты и зачем они вообще нужны.  Но нет
Если вы хотите меня покритиковать, то выберите пожалуйста из моих пакетов 
более подходящий пример, чем какой-то перловый пакет, по недосмотру попавший 
на сборку. Не пойму только кто глупый - я, или все остальные, раз за полтора 
года никто не заметил проблемы ;)

> худа без добра: Ваша деятельность в роли неопытного maintainer'а дает
> возможность понять, какие гайки придется закручивать, чтобы в будущем не 
пускать
> такие (и некоторые другие) пакеты в сизиф совершенно автоматически.
Да, было бы очень неплохо недопускать таких казусов в дальнейшем 
автоматически. (вспомним, как когда-то OpenOffice.org предоставлял 
libstdc++ :))

P.S.
Алексей, если вам чем-то не нравится моя деятельность, вы хоть сообщите, я с 
удовольствием прислушаюсь.
------- Comment #8 From 2007-09-24 11:19:20 -------
Лёш, пальцы загни назад.  Чтоб _тебя_ не макать привселюдно на какой-нить чисто
человеческой ошибке, когда сделаешь очередную.
------- Comment #9 From 2007-09-24 20:38:31 -------
mike: иди нахер
------- Comment #10 From 2007-09-24 23:53:05 -------
Трубинал, это будет в ~/.procmailrc.  Там не очень уютная компания даже для
тебя.
------- Comment #11 From 2007-09-24 23:59:45 -------
mike: не могу ответить тебе взаимностью.  Однако же глаголящие в багзилле о
моих
"чисто человеческих ошибках" идут нахер.  Остальные пруцца!